Skip to content

Update display metadata of one catalog node.

PUT
/api/workspace/catalogs/{catalogDefinitionId}/nodes/{nodeId}
curl --request PUT \
--url https://example.com/api/workspace/catalogs/example/nodes/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "DisplayName": "example", "Description": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
catalogDefinitionId
required
string
nodeId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Update display metadata of one catalog node. The node key and path stay unchanged.

object
DisplayName

New node display name.

string
nullable
Description

Optional free-form description.

string
nullable
RowVersion

Expected concurrency token.

string format: uuid
Examplegenerated
{
"DisplayName": "example",
"Description": "example",
"RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

OK

Media typeapplication/json
object
Data

One runtime catalog node.

object
Id

Node identifier.

string
nullable
CatalogDefinitionId

Owning catalog definition identifier.

string
nullable
NodeTypeId

Catalog node type definition identifier for entity-backed hierarchies.

string
nullable
ParentNodeId

Parent node identifier or null for root nodes.

string
nullable
Key

Stable sibling key generated at create time.

string
nullable
DisplayName

Node display name.

string
nullable
Description

Optional free-form description.

string
nullable
PathNodeIds

Ordered identifier path from the top-level node through this node.

Array<string>
nullable
Breadcrumbs

Display breadcrumb segments resolved from current node metadata.

Array<object>
nullable

One display breadcrumb segment for a catalog node.

object
NodeId

Node identifier.

string
nullable
DisplayName

Current node display name.

string
nullable
Depth

Zero-based tree depth.

integer format: int32
SortOrder

Sibling sort order.

integer format: int32
ChildCount

Number of direct child nodes.

integer format: int32
RowVersion

Concurrency token.

string format: uuid
CreatedAt

Node creation timestamp.

string format: date-time
ModifiedAt

Last modification timestamp.

string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

One runtime catalog node.

object
Id

Node identifier.

string
nullable
CatalogDefinitionId

Owning catalog definition identifier.

string
nullable
NodeTypeId

Catalog node type definition identifier for entity-backed hierarchies.

string
nullable
ParentNodeId

Parent node identifier or null for root nodes.

string
nullable
Key

Stable sibling key generated at create time.

string
nullable
DisplayName

Node display name.

string
nullable
Description

Optional free-form description.

string
nullable
PathNodeIds

Ordered identifier path from the top-level node through this node.

Array<string>
nullable
Breadcrumbs

Display breadcrumb segments resolved from current node metadata.

Array<object>
nullable

One display breadcrumb segment for a catalog node.

object
NodeId

Node identifier.

string
nullable
DisplayName

Current node display name.

string
nullable
Depth

Zero-based tree depth.

integer format: int32
SortOrder

Sibling sort order.

integer format: int32
ChildCount

Number of direct child nodes.

integer format: int32
RowVersion

Concurrency token.

string format: uuid
CreatedAt

Node creation timestamp.

string format: date-time
ModifiedAt

Last modification timestamp.

string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

One runtime catalog node.

object
Id

Node identifier.

string
nullable
CatalogDefinitionId

Owning catalog definition identifier.

string
nullable
NodeTypeId

Catalog node type definition identifier for entity-backed hierarchies.

string
nullable
ParentNodeId

Parent node identifier or null for root nodes.

string
nullable
Key

Stable sibling key generated at create time.

string
nullable
DisplayName

Node display name.

string
nullable
Description

Optional free-form description.

string
nullable
PathNodeIds

Ordered identifier path from the top-level node through this node.

Array<string>
nullable
Breadcrumbs

Display breadcrumb segments resolved from current node metadata.

Array<object>
nullable

One display breadcrumb segment for a catalog node.

object
NodeId

Node identifier.

string
nullable
DisplayName

Current node display name.

string
nullable
Depth

Zero-based tree depth.

integer format: int32
SortOrder

Sibling sort order.

integer format: int32
ChildCount

Number of direct child nodes.

integer format: int32
RowVersion

Concurrency token.

string format: uuid
CreatedAt

Node creation timestamp.

string format: date-time
ModifiedAt

Last modification timestamp.

string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

One runtime catalog node.

object
Id

Node identifier.

string
nullable
CatalogDefinitionId

Owning catalog definition identifier.

string
nullable
NodeTypeId

Catalog node type definition identifier for entity-backed hierarchies.

string
nullable
ParentNodeId

Parent node identifier or null for root nodes.

string
nullable
Key

Stable sibling key generated at create time.

string
nullable
DisplayName

Node display name.

string
nullable
Description

Optional free-form description.

string
nullable
PathNodeIds

Ordered identifier path from the top-level node through this node.

Array<string>
nullable
Breadcrumbs

Display breadcrumb segments resolved from current node metadata.

Array<object>
nullable

One display breadcrumb segment for a catalog node.

object
NodeId

Node identifier.

string
nullable
DisplayName

Current node display name.

string
nullable
Depth

Zero-based tree depth.

integer format: int32
SortOrder

Sibling sort order.

integer format: int32
ChildCount

Number of direct child nodes.

integer format: int32
RowVersion

Concurrency token.

string format: uuid
CreatedAt

Node creation timestamp.

string format: date-time
ModifiedAt

Last modification timestamp.

string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}